import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const feature = await client.v1.features.updateFeature('x');
console.log(feature.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
feature = client.v1.features.update_feature(
id="x",
)
print(feature.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
feature, err := client.V1.Features.UpdateFeature(
context.TODO(),
"x",
stigg.V1FeatureUpdateFeatureParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", feature.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.features.Feature;
import io.stigg.models.v1.features.FeatureUpdateFeatureParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Feature feature = client.v1().features().updateFeature("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
feature = stigg.v1.features.update_feature("x")
puts(feature)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Features;
StiggClient client = new();
FeatureUpdateFeatureParams parameters = new() { ID = "x" };
var feature = await client.V1.Features.UpdateFeature(parameters);
Console.WriteLine(feature);stigg v1:features update-feature \
--api-key 'My API Key' \
--id xcurl --request PATCH \
--url https://api.stigg.io/api/v1/features/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"featureUnits": "<string>",
"featureUnitsPlural": "<string>",
"metadata": {},
"unitTransformation": {
"divide": 123,
"round": "UP",
"featureUnits": "<string>",
"featureUnitsPlural": "<string>"
},
"enumConfiguration": [
{
"value": "<string>",
"displayName": "<string>"
}
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/features/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'description' => '<string>',
'featureUnits' => '<string>',
'featureUnitsPlural' => '<string>',
'metadata' => [
],
'unitTransformation' => [
'divide' => 123,
'round' => 'UP',
'featureUnits' => '<string>',
'featureUnitsPlural' => '<string>'
],
'enumConfiguration' => [
[
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "feature-api-calls",
"displayName": "API Calls",
"description": "Number of API calls allowed per month",
"featureType": "NUMBER",
"meterType": "INCREMENTAL",
"featureUnits": "call",
"featureUnitsPlural": "calls",
"featureStatus": "ACTIVE",
"unitTransformation": null,
"enumConfiguration": null,
"meter": {
"filters": [
{
"conditions": [
{
"operation": "EQUALS",
"field": "eventName",
"value": "api_call"
}
]
}
],
"aggregation": {
"function": "SUM",
"field": "amount"
}
},
"metadata": {},
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z"
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "CustomerNotFound"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Update a feature
Updates an existing feature’s properties such as display name, description, and configuration.
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const feature = await client.v1.features.updateFeature('x');
console.log(feature.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
feature = client.v1.features.update_feature(
id="x",
)
print(feature.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
feature, err := client.V1.Features.UpdateFeature(
context.TODO(),
"x",
stigg.V1FeatureUpdateFeatureParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", feature.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.features.Feature;
import io.stigg.models.v1.features.FeatureUpdateFeatureParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Feature feature = client.v1().features().updateFeature("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
feature = stigg.v1.features.update_feature("x")
puts(feature)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Features;
StiggClient client = new();
FeatureUpdateFeatureParams parameters = new() { ID = "x" };
var feature = await client.V1.Features.UpdateFeature(parameters);
Console.WriteLine(feature);stigg v1:features update-feature \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
1 - 255Body
Partially update an existing feature. Only provided fields are updated.
The display name for the feature
255The description for the feature
255The units for the feature
255The plural units for the feature
255The additional metadata for the feature
Show child attributes
Show child attributes
Unit transformation to be applied to the reported usage
Show child attributes
Show child attributes
The configuration data for the feature
1 - 255 elementsShow child attributes
Show child attributes
Event meter that turns reported events into usage for a metered feature
Show child attributes
Show child attributes
Response
The updated feature object.
Response object
Feature configuration object
Show child attributes
Show child attributes
